public abstract static class EMCCVElement {  
  public String parent = "";
  public String xmlParent;
  public String colormaster;
  public color colour;
  public boolean colorizable = true;
  public String blendmode = "blend";
  public boolean flipped = false;
  public int x = 0;
  public int y = 0;
  public int w = 0;
  public int h = 0;
  public char randomize; // shortcut
  public float layer;

  public abstract boolean isActive();

  public EMCCVElement getColormaster() {
    return elements.get(this.colormaster);
  }

  public EMCCVMenuElement getXMLParent() {
    return elements.get(this.xmlParent);
  }
  
  public color getColour() {
    if (this instanceof EMCCVSet || this instanceof EMCCVAspect) {
      return colour;
    } else {
      return elements.get(xmlParent).getColour();
    }
  }
}